-- ClickDown by Andromerius (asilva) v1.3b


-- Call Ace

ClickDown = LibStub("AceAddon-3.0"):NewAddon("ClickDown", "AceConsole-3.0", "AceHook-3.0", "AceEvent-3.0")


-- Load default config

local defaults =
{
	profile =
	{
		active = true,
	}
}


-- Database reference

local globalDB


-- Options table for Ace-Config 3

local options =
{
    name = "ClickDown",
    type = "group",
    args =
	{
		active = 
		{
			name = "Enable AddOn",
			desc = "Ticked: Enabled, Unticked: Disabled.",
			type = "toggle",
			set = function(info, value) globalDB.active = value end,
			get = function() return globalDB.active end,
		},
    },
}


-- Initialize


function ClickDown:OnInitialize()

	-- Register the DataBase
	self.db = LibStub("AceDB-3.0"):New("ClickDownDB", defaults, true);
	globalDB = self.db.global
	
	-- And register the options
	LibStub("AceConfig-3.0"):RegisterOptionsTable("ClickDown", options);

	-- Add slash command
	LibStub("AceConsole-3.0"):RegisterChatCommand("clickdown", Options)
	LibStub("AceConsole-3.0"):RegisterChatCommand("cdown", Options)

	-- And add the options table to the actual interface UI
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("ClickDown", "ClickDown")

end


-- Starting execution code

local bars={ "Action", "MultiBarBottomLeft", "MultiBarBottomRight", "MultiBarLeft", "MultiBarRight"}
	for _,bar in pairs(bars) do
	for button=1,12 do
	_G[bar.."Button"..button]:RegisterForClicks("AnyDown")
     end
  end
